# struct LLVM::Target

- LLVM::Target
- Struct
- Value
- Object

## Defined in:

## Constructors

- .first : self
- .first? : self?
- .from_triple(triple) : self
- .new(unwrap : LibLLVM::TargetRef)

## Class Method Summary

- .each(&block)

## Instance Method Summary

- #create_target_machine(triple, cpu = "", features = "", opt_level = LLVM::CodeGenOptLevel::Default, reloc = LLVM::RelocMode::PIC, code_model = LLVM::CodeModel::Default)
- #description
- #inspect(io : IO) : Nil
- #name
- #to_s(io : IO) : Nil
- #to_unsafe : LibLLVM::TargetRef

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.first : self #
def self.first? : self? #
def self.from_triple(triple) : self #
def self.new(unwrap : LibLLVM::TargetRef) #

## Class Method Detail

def self.each(&block) #

## Instance Method Detail

def create_target_machine(triple, cpu = "", features = "", opt_level = LLVM::CodeGenOptLevel::Default, reloc = LLVM::RelocMode::PIC, code_model = LLVM::CodeModel::Default) #
def description #
def inspect(io : IO) : Nil #
def name #
def to_s(io : IO) : Nil #
def to_unsafe : LibLLVM::TargetRef #